﻿using Data.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Data.Models
{
    public class StockItem : CompanyRelatedModel
    {
        public string Name { get; set; }

        public string Description { get; set; }

        public  float Price { get; set; }

        public float Quantity { get; set; }

        public DateTimeOffset DateChange { get; set; }

        public long CategoryId { get; set; }

        public string Dosage { get; set; }
        public long MeasureId { get; set; }
        public float N { get; set; }
        public float S { get; set; }
        public float P { get; set; }
        public float K { get; set; }

    }
}
