﻿using Data.Interfaces;
using Data.Models;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dapper;

namespace Data.Repositories
{
    public static class VendorRepository
    {
        public static async Task<Vendor> GetProductionVendor(this IRepository<Vendor> baseRepo, long CompanyId)
        {
            using (SqlConnection connection = ConnectionManager.GetConnection())
            {
                connection.Open();
                string command = string.Format("SELECT * FROM [Vendor] WHERE ((CompanyId = @Id) AND (Production=1))");
                var item = connection.Query<Vendor>(@command, new { Id = CompanyId }).FirstOrDefault();
                return await Task.FromResult<Vendor>(item);
            }
        }
    }
}
