﻿CREATE TABLE [dbo].[BusinessRecord]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL, 
    [Description] NVARCHAR(MAX) NULL, 
    [Price] FLOAT NULL, 
    [Quantity] FLOAT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [CategoryId] INT NULL, 
    [Name] NCHAR(75) NULL, 
    [MeasureId] INT NULL,  
    [VendorId] INT NOT NULL, 
    [StockItemId] INT NULL, 
    [Income] BIT NULL, 
    [HarvestedItemId] INT NULL, 
    CONSTRAINT [FK_BusinessRecord_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]),
	CONSTRAINT [FK_BusinessRecord_Vendor] FOREIGN KEY ([VendorId]) REFERENCES [Vendor]([Id])
)
