﻿CREATE TABLE [dbo].[CostPlan]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
    [StockItemId] INT NOT NULL, 
    [DateCreate] DATETIMEOFFSET NULL, 
    [Status] BIT NULL, 
    [AnticipatedCosts] FLOAT NULL, 
    [ActualCosts] FLOAT NULL, 
    [Dosage] FLOAT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [Quantiy] FLOAT NULL, 
    [N] FLOAT NULL, 
    [S] FLOAT NULL, 
    [K] FLOAT NULL, 
    [P] FLOAT NULL, 
    [WorkId] INT NULL, 
    [MachineryId] INT NULL, 
    [CrpId] INT NOT NULL, 
	[FuelId] INT NULL, 
    [DateApplication] DATETIMEOFFSET NULL, 
    CONSTRAINT [FK_CostPlan_CropRotationPlan] FOREIGN KEY ([CrpId]) REFERENCES [CropRotationPlan]([Id])
    
)
