﻿CREATE TABLE [dbo].[CrPlanCostPlan]
(
    [CropRotationPlanId] INT NOT NULL, 
    [CostPlansId] INT NOT NULL, 
    CONSTRAINT [FK_CrPlanCostPlan_CorpRotationPlan] FOREIGN KEY ([CropRotationPlanId]) REFERENCES [CropRotationPlan]([Id]), 
    CONSTRAINT [FK_CrPlanCostPlan_CostPlan] FOREIGN KEY ([CostPlansId]) REFERENCES [CostPlan]([Id]), 
    
)

GO
CREATE CLUSTERED INDEX [IX_CrPlanCostPlan_CropRotationPlanId] ON [dbo].[CrPlanCostPlan] ([CropRotationPlanId])
GO
CREATE INDEX [IX_CrPlanCostPlan_CostPlansId] ON [dbo].[CrPlanCostPlan] ([CostPlansId])
GO



