﻿CREATE TABLE [dbo].[CropItem]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
    [CompanyId] INT NOT NULL, 
    [CropId] INT NOT NULL, 
    [Quantity] FLOAT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [CropRotationPlanId] INT NULL, 
    [DateHarvested] DATETIMEOFFSET NULL, 
    CONSTRAINT [FK_CropItem_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]), 
    CONSTRAINT [FK_CropItem_Crop] FOREIGN KEY ([CropId]) REFERENCES [Crop]([Id]), 
    CONSTRAINT [FK_CropItem_CropRotationPlan] FOREIGN KEY ([CropRotationPlanId]) REFERENCES [CropRotationPlan]([Id])
)
