﻿CREATE TABLE [dbo].[CropRotationPlan]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL,
    [CropId] INT NOT NULL, 
    [PartSoilBlockId] INT NOT NULL, 
    [Costs] FLOAT NULL, 
    [AverageYield] FLOAT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [DateChange] DATETIMEOFFSET NULL, 
    [Description] NVARCHAR(MAX) NULL, 
    [RealCost] FLOAT NULL, 
    [HarvestedStatus] BIT NULL, 
    [HarvestedQuantity] FLOAT NULL, 
    CONSTRAINT [FK_CropRotationPlan_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]), 
    CONSTRAINT [FK_CropRotationPlan_Crop] FOREIGN KEY ([CropId]) REFERENCES [Crop]([Id]), 
    CONSTRAINT [FK_CropRotationPlan_PartSoilBlock] FOREIGN KEY ([PartSoilBlockId]) REFERENCES [PartSoilBlock]([Id])    
)
