﻿CREATE TABLE [dbo].[User]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL,
    [Name] NVARCHAR(MAX) NULL, 
    [LastName] NVARCHAR(MAX) NULL, 
    [Role] INT NOT NULL,  
    [ContactId] INT NOT NULL, 
    [AddressId] INT NOT NULL, 
    [Password] NVARCHAR(MAX) NOT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [UserName] NVARCHAR(MAX) NULL, 
    [Counter] INT NULL, 
    CONSTRAINT [FK_User_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]), 
    CONSTRAINT [FK_User_Contact] FOREIGN KEY ([ContactId]) REFERENCES [Contact]([Id]), 
    CONSTRAINT [FK_User_Address] FOREIGN KEY ([AddressId]) REFERENCES [Address]([Id])
)
