﻿'use strict'

dpApp.controller('loginController', ['$scope', '$rootScope', '$location', 'authService',
    function ($scope, $rootScope, $location, authService) {

        console.log("Start loginController");
        $scope.loadingLogin = false;


        $scope.login = function () {
            $scope.loadingLogin = true;
            authService.signIn($scope.loginData, function (s, userId) {


                if ((s == 400) || (s == 401)) {
                    $rootScope.isInApp = false;
                    $scope.loginD.checkPass = true;
                    $scope.loadingLogin = false;
                } else {
                    
                    authService.infoUser(userId, function (data) {
                        console.log("uzivatel prihlasen");
                        console.log(data);
                        $rootScope.$emit("initUserMenu", data);
                        console.log("before change location");
                        $location.path('/app');
                        $rootScope.isInApp = true;
                        console.log("after login isInApp value ", $rootScope.isInApp);
                    });
                    $scope.loadingLogin = false;
                }
            });
        }

}]);