﻿'use strict'

dpApp.controller('newCropModalController',
    function ($scope, cropService, $timeout, $modalInstance, $location) {
        // data
        $scope.newCropModal = true;
        $scope.newCropComplete = false;
        $scope.newCropLoader = false;

        $scope.cropData = {
            Name: '',
            Description: '',
            N: 0,
            S: 0,
            P: 0,
            K: 0
        }

        $scope.cancel = function () {
            $modalInstance.close();
        }

        $scope.save = function (data) {
            console.log("ulozit plodinu");
            console.log(data);

            $scope.newCropModal = false;
            $scope.newCropLoader = true;

            var object = {
                Name: data.Name,
                Description: data.Description,
                N: data.N,
                S: data.S,
                P: data.P,
                K: data.K
            }

            cropService.create(object,
                function (res) {
                    console.log(res);
                    $scope.newCropLoader = false;
                    $scope.newCropComplete = true;

                    $timeout(function () {
                        $modalInstance.close();
                        $location.path('/app/crop');
                    }, 2000);

                },
                function (error) {
                    console.log(error);
                }
            );
        }
    });