﻿//cost plan service
dpApp.service('costPlanService', ['Restangular',
    function (Restangular) {

        this.getAllCrp = function (crpId, success, fail) {
            Restangular.all('costPlan').one("crp", crpId).get(crpId).then(success, fail);
        }

        this.getById = function (costPlanId, success, fail)
        {
            Restangular.all('costPlan').get(costPlanId).then(success, fail);
        }

        this.addToCropRotationPlan = function (data, success, fail) {
            Restangular.all('costPlan').post(data).then(function () {
                Restangular.all('crp').get(data.CrpId).then(function (cropRotationPlan) {
                    var crpObject = cropRotationPlan.plain();
                    console.log("crp pro update");
                    console.log(crpObject);
                    crpObject.costs = Number(crpObject.costs) + Number(data.AnticipatedCosts);
                    Restangular.all('crp').post(crpObject).then(success, fail);
                }, fail);
            }, fail);
        }

        this.loadWorkPlan = function (model, success, fail) {
            Restangular.all('costPlan').customPOST(model, 'loadWorkPlan').then(success, fail);
        };

    }
]);