﻿'use strict'

dpApp.service('invoiceService',
    function (Restangular) {

        this.save = function (invoice, success, fail) {
            console.log("service");
            console.log(invoice);
            if (!invoice) {
                return;
            }

            //Restangular.all('invoice').post(invoice).then(success, fail);
            Restangular.all('invoice').customPOST(invoice, 'saveNewInvoice').then(success, fail);
        };

        this.getCompanyInfo = function (success, fail) {
            Restangular.all('company').one('detail').get().then(success, fail);
        };

        this.getInvoices = function (success, fail) {
            Restangular.all('invoice').getList().then(success, fail)
        };

        this.getLastInvoiceNumber = function (success, fail) {
            Restangular.all('invoice').one('getLastInvoiceNumber').get().then(success, fail);
        };

        this.checkInvoiceNumber = function (invoiceNumber, success, fail) {
            Restangular.all('invoice').one('checkInvoiceNumber', invoiceNumber).get().then(success, fail);
        };

        this.changePayState = function (invoiceId, type, success, fail) {
            console.log("servisa", invoiceId, type);
            if (type == 1) {
                Restangular.all('invoice').one('setStateTrue', invoiceId).get().then(success, fail);
            } else {
                Restangular.all('invoice').one('setStateFalse', invoiceId).get().then(success, fail);
            };
        };

        this.getFalseStateInvoices = function (from, to, success, fail) {
            var obj = {
                From: from,
                To: to,
                Type: 0
            };
            Restangular.all('invoice').customPOST(obj, 'getAllFalseInvoice').then(success, fail);
        };
    }
);