﻿'use strict'

dpApp.service('settingsService',
    function (Restangular, vendorService) {
        this.saveBankAccount = function(data, vendor, success, fail){
            Restangular.all("bankaccount").post(data).then(function (data) {
                vendor.bankAccountId = data;
                console.log("save ok");
                console.log(vendor);
                vendorService.put(vendor, success, fail);
            }, fail);
        }

        this.getCompanyBankAccount = function (success, fail) {
            Restangular.all("bankaccount").one("company").get().then(success, fail);
        }

        this.put = function (model, success, fail) {
            Restangular.all("bankaccount").post(model).then(success, fail);
        };
    }
);