﻿'use strict'

dpApp.controller('confirmCrpModalController',
    function ($scope, confirmItem, soilBlockInfo, stockItemService, $modalInstance, cropService, $timeout, vendorService, addressService, contactService, costPlanService, crpService, workCategoryService) {

        // data
        $scope.Modal = true;
        $scope.modalComplete = false;
        $scope.modalLoader = false;

        $scope.modalCostItem = null;
        $scope.soilBlock = soilBlockInfo;
        $scope.realCost = 0;
        $scope.realCostMaterial = 0;
        $scope.totalConsumption = 0;
        $scope.consumptionCost = 0;
        $scope.machineryHour = 0;
        $scope.stockBalance = 0;
        $scope.workCost = 0;
        $scope.workTotalCost = 0;
        $scope.dateApplication = new Date(confirmItem.base.dateCreate);


        console.log("info");
        console.log($scope.soilBlock);

        $scope.countConsumtion = function () {
            $scope.consumptionCost = Number($scope.totalConsumption) * Number($scope.modalCostItem.fuelItem.priceUnit);
            $scope.workTotalCost = Number($scope.workCost) + Number($scope.consumptionCost);
            $scope.countRealCost();
        }

        $scope.countRealCost = function () {
            console.log("kategorie = " + $scope.modalCostItem.categoryId);
            console.log($scope.modalCostItem);
            if ($scope.modalCostItem.stockItem.categoryId == 0) {
                $scope.realCost = (Number($scope.consumptionCost) + Number($scope.workCost));
            } else {
                $scope.realCost = (Number($scope.consumptionCost) + Number($scope.realCostMaterial) + Number($scope.workCost));
            }


        }

        $scope.loadCostItemDetail = function (costItemId) {
            costPlanService.getById(costItemId,
                function (data) {
                    console.log("get by id ");
                    console.log(data.plain());
                    $scope.modalCostItem = data.plain();

                    //$scope.dateApplication = $scope.modalCostItem.dateCreate;
                    $scope.realCostMaterial = Number($scope.modalCostItem.quantiy) * (Number($scope.modalCostItem.stockItem.price) / Number($scope.modalCostItem.stockItem.quantity));

                    workCategoryService.getConsumption($scope.modalCostItem.workCategory.id, $scope.modalCostItem.machinery.id,
                    function (data) {
                        console.log("spotreba");
                        console.log(data);
                        $scope.totalConsumption = Number(data) * Number($scope.soilBlock.partSoilBlock.area);
                        $scope.countConsumtion();
                    }, function (err) {
                        console.log(err);
                    });


                    $scope.stockBalance = Number($scope.modalCostItem.stockItem.quantity) - Number($scope.modalCostItem.quantiy);
                    $scope.workCost = Number($scope.modalCostItem.workCategory.price) * Number($scope.soilBlock.partSoilBlock.area);
                    $scope.countRealCost();
                },
                function (err) {
                    console.log(err);
                })
        }

        $scope.loadCostItemDetail(confirmItem.base.id);


        // actions

        $scope.cancel = function () {
            $modalInstance.close();
        }


        $scope.save = function (data) {
            $scope.Modal = false;
            $scope.modalLoader = true;
            /*
            console.log("confirm crp item s id " + $scope.modalCostItem.id + "datum aplikace " + $scope.dateApplication);
            console.log("id osevniho planu " + $scope.modalCostItem.crpId + " pricist skutecne naklady " + $scope.realCost + " Kc");
            console.log("id stock material " + $scope.modalCostItem.stockItem.id + " pricist skutecne naklady " + $scope.realCostMaterial + " Kc mnozstvi " + $scope.modalCostItem.quantiy);
            console.log("id stock fuel " + $scope.modalCostItem.fuelItem.id + " pricist skutecne naklady " + $scope.consumptionCost + " Kc mnozstvi " + $scope.totalConsumption);
            console.log("stroj id " + $scope.modalCostItem.machinery.id + " pridat " + $scope.machineryHour + "hodin");
            console.log("Do pudniho bloku id " + $scope.soilBlock.partSoilBlock.soilBlock.id + " bude pridano n: " + $scope.modalCostItem.n + " s: " + $scope.modalCostItem.s + " p: " + $scope.modalCostItem.p + " k: " + $scope.modalCostItem.k);
            */
            var finishCrpItem =
                {
                    SoilBlockId: $scope.soilBlock.partSoilBlock.soilBlock.id,
                    CrpItemId: $scope.modalCostItem.id,
                    dateApplication: $scope.dateApplication,
                    CrpId: $scope.modalCostItem.crpId,
                    RealCost: $scope.realCost,
                    materialId: $scope.modalCostItem.stockItem.id,
                    materialQuantity: $scope.modalCostItem.quantiy,
                    materialCost: $scope.realCostMaterial,
                    fuelId: $scope.modalCostItem.fuelItem.id,
                    fuelQuantity: $scope.totalConsumption,
                    fuelCost: $scope.consumptionCost,
                    machineryId: $scope.modalCostItem.machinery.id,
                    machineryHour: $scope.machineryHour,
                    DateApplicationString: $scope.dateApplication
                }
            console.log("send data");
            console.log(finishCrpItem);

            crpService.finishCrpItem(finishCrpItem,
                function (data) {
                    console.log("finish crp item");
                    console.log(data);
                    $scope.modalLoader = false;
                    $scope.modalComplete = true;

                    $timeout(function () {
                        $modalInstance.close();
                        // TODO reload emit load items
                    }, 2000);

                }, function (err) {
                    console.log(err);
                });
            //crp + real cost
            //stock item - material
            //create business record
            //fuel item - fuel
            //create business record
        }
    }
);