﻿'use strict'

dpApp.controller('mainMenuController',
        function ($scope, $rootScope, $location,authService) {
            var _user = {
                name : "N/A",
                lastName: "N/A"
            };

            console.log("init user controller");
            $scope.appUser = _user;
            console.log($scope.appUser);

            $scope.marketingYears = [
              { "val": 2013, "label": "2013/2014" },
              { "val": 2014, "label": "2014/2015" },
              { "val": 2015, "label": "2015/2016" },
              { "val": 2016, "label": "2016/2017" },
              { "val": 2017, "label": "2017/2018" },
              { "val": 2018, "label": "2018/2019" },
              { "val": 2019, "label": "2019/2020" },
              { "val": 2020, "label": "2020/2021" },
              { "val": 2021, "label": "2021/2022" },
              { "val": 2022, "label": "2022/2023" },
            ];

            $rootScope.globalMarketingYear = 2015;

            $scope.changMarketingYear = function (year)
            {
                $rootScope.globalMarketingYear = year;
                $rootScope.$emit("updateDataChangeMarketingYear");
            }

            console.log("root scope");
            console.log($rootScope);

            if ($rootScope.isInApp) {
                authService.currentUser(function (data) {
                    console.log("current user service result");
                    console.log(data);
                    $scope.appUser.name = data.name;
                    $scope.appUser.lastName = data.lastName;
                });
                //authService.infoUser(0, function (data) {
                //    $scope.appUser.name = data.Name;
                //    $scope.appUser.lastName = data.LastName;
                //    console.log("update values");
                //    console.log($scope.appUser);
                //});
            }
            

            $rootScope.$on("initUserMenu", function (e, data) {
                console.log("on funkce");
                console.log(e);
                console.log(data);
                $scope.appUser.name = data.name;
                $scope.appUser.lastName = data.lastName;
            });

        });
