﻿'use strict'

dpApp.controller('workCategoryController',
    function ($scope, workCategoryService, $modal) {
        

        $scope.loadWork = function(){
        $scope.workCategoryLoader = false;
        workCategoryService.workInfo(
                function (data) {
                    $scope.workCategoryLoader = true;
                    if (data.length > 0) {
                        $scope.workTable = data.plain();
                    }
                    //console.log($scope.workTable[0]);
                }, function (err) {
                    console.log("error load info about work " + err);
                    console.log(err);
                });
        }
        $scope.loadWork();

    //modal action
        $scope.showNewWorkCategoryModal = function () {
            var modalInstance = $modal.open({
                templateUrl: '/Scripts/_app/views/modals/newWorkCategoryModal.html',
                controller: 'newWorkModalController',
                size: 1,
                resolve: {
                    data: function () {
                        return [];
                    }
                }
            });
            modalInstance.result.then(function () {
                $scope.loadWork();
            });
        }

        $scope.showToDoModal = function () {
            var modalInstance = $modal.open({
                templateUrl: '/Scripts/_app/views/modals/todoModal.html',
                controller: 'todoModalController',
                size: 'sm',
                resolve: {
                    data: function () {
                        return [];
                    }
                }
            });
        }

        

    });