﻿'use strict'

dpApp.controller('addBankAccountModalController',
    function ($scope, $timeout, $modalInstance, $location, vendorData, settingsService) {
        $scope.Modal = true;
        $scope.Complete = false;
        $scope.Loader = false;
        $scope.Validator = false;
        $scope.ValidatorMsg = "";
        $scope.vendor = vendorData;

        console.log($scope.vendor);

        $scope.cancel = function () {
            $modalInstance.close();
        }

        $scope.save = function (data) {
            $scope.Modal = false;
            $scope.Loader = true;
            $scope.Validator = false;
            $scope.ValidatorMsg = "";

            console.log($scope.bankData);
            
            settingsService.saveBankAccount($scope.bankData, $scope.vendor,
                function (res) {
                    $scope.Loader = false;
                    $scope.Complete = true;

                    $timeout(function () {
                        $modalInstance.close();
                    }, 1500);

                },
                function (error) {
                    $scope.Modal = true;
                    $scope.Loader = false;
                    $scope.Validator = true;
                    $scope.ValidatorMsg = error.data.exceptionMessage;
                    console.log(error.data.exceptionMessage);
                }
            );
        }
    });
