﻿//HarvestedCrop service
dpApp.service('HarvestedCropService', ['Restangular',
    function (Restangular) {
        this.put = function (data, success, fail) {
            Restangular.all('harvestedCrop').post(data).then(success, fail);
        };

        this.createHarvested = function (cropItem, objectBusinessRecord, success, fail) {
            Restangular.all('CropItem').post(cropItem).then(
                function (idCropItem) {
                    //get production
                    
                    Restangular.all('Vendor').one("getProduction").get().then(function (vendor) {
                        console.log("/////////////////////////////////////////");
                        console.log(vendor);
                        objectBusinessRecord.VendorId = vendor.id;
                        objectBusinessRecord.HarvestedItemId = idCropItem;
                        console.log("business record");
                        console.log(objectBusinessRecord);
                        Restangular.all('businessRecord').post(objectBusinessRecord).then(function () { }, fail);
                    }, fail);

                    var harvesteadObject = null;
                    Restangular.all('harvestedCrop').one("getByCrop", cropItem.CropId).get(cropItem.CropId).then(
                        function (harvested)
                        {
                            console.log("harvestead object");
                            console.log(harvested);
                            harvesteadObject = harvested.plain()[0];
                            harvesteadObject.cost = Number(harvesteadObject.cost) + Number(cropItem.cropCost);
                            harvesteadObject.quantity = Number(harvesteadObject.quantity) + Number(cropItem.Quantity);
                            console.log("ulozit")
                            console.log(harvesteadObject);
                            Restangular.all('harvestedCrop').post(harvesteadObject).then(success, fail);
                        }, fail);
                }, fail);
        };

        this.getById = function (costPlanId, success, fail) {
            Restangular.all('harvestedCrop').get(costPlanId).then(success, fail);
        }
    

        this.getAll = function (success, fail) {
            console.log("get all harvested service");
            Restangular.all('harvestedCrop').getList().then(success, fail);
        };

        this.pickHarvestedItem = function (stockItem, businessRecordModel, success, fail) {
            console.log("service data");
            console.log(stockItem);
            console.log(businessRecordModel);
            Restangular.all('harvestedCrop').post(stockItem).then(
                                function () {
                                   Restangular.all('businessRecord').post(businessRecordModel).then(success, fail);
                                }, fail);
        };
    }
]);