﻿'use strict'
//registration service
dpApp.service('regService', ['$http', '$q', '$rootScope', 'vendorService','Restangular',
    function ($http, $q, $rootScope, vendorService, Restangular) {

        Restangular.addRequestInterceptor(function (element, operation, what, url) {
            console.log(element, operation, what, url);
            return element;
        })

        this.testRole = function () {
            console.log("registracni funkce");
            $http.post('/Login/GetRole')
                .success(function (data) {
                    console.log("ok");
                    console.log(data);
                })
                .error(function (data) {
                    console.log("error");
                });
        }

        this.registrationComplete = function (Company, User, Contact, Address, callback) {
            console.log("service dokonceni registrace");
            var sendData = {};

            sendData.Company = Company;
            sendData.User = User;
            sendData.Address = Address;
            sendData.Contact = Contact;

            Restangular.all('Login').customPOST(sendData, 'SaveRegistration').then(
                function (data) {
                    console.log("ok registrace");
                    console.log(data);
                    callback();
                },
                function (err) {
                    console.log("error registrace");
                    return 0;
                });
            /*
            $http({
                url: '/Login/SaveRegistration',
                method: "POST",
                params: sendData
            }).success(function (data) {
                console.log("ok registrace");
                console.log(data);
                callback();
            })
               .error(function (data) {
                   console.log("error registrace");
                   return 0;
               });*/
        }

    }]);