﻿using bussines;
using Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace business
{
    public interface IService<T> where T : BaseModel
    {
        IValidator<T> Validator { get; set; }

        Task<IEnumerable<T>> GetAll(long companyId);

        Task<T> GetById(long id);

        Task Delete(long id);

        Task<long> Put(T model);

    }
}
