﻿using Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bussines
{
    public interface IValidator<T> where T : BaseModel
    {
        /// <summary>
        /// Validate the given model
        /// </summary>
        /// <param name="Model">The model to validate</param>
        /// <returns>IEnumerable of errors</returns>
        IEnumerable<string> Validate(T model);
    }
}
