﻿using bussines.Services;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using Excel = Microsoft.Office.Interop.Excel; 

namespace bussines.Managers
{
    public class ExportManager
    {
        private const int HEIGHT_OFFSET = 2;

        public Stream ExportCropRotationExcel(int year)
        {
            string xlPath = Path.Combine(Path.GetTempPath(), string.Concat(Guid.NewGuid().ToString(), ".xlsx"));

            var assembly = Assembly.GetExecutingAssembly();
            using (var fileStream = new FileStream(xlPath, FileMode.OpenOrCreate, FileAccess.Write))
            {
                var exportFile = bussines.Resources.Resources.export;
                fileStream.Write(exportFile, 0, exportFile.Count());
                fileStream.Flush();
            }
            

            var cropRotationService = new CropRotationPlanService();
            //var plans = cropRotationService.GetPlansByYear(year).Result;

            // load and open xlsx file
            
            Excel.Application xlApp = new Excel.Application();
            Excel.Workbook xlBook = xlApp.Workbooks.Open(xlPath);
            Excel.Worksheet xlSheet = (Excel.Worksheet)xlBook.Sheets[1];
            /*
            for(var rowi = HEIGHT_OFFSET; rowi < plans.Count() + HEIGHT_OFFSET; rowi++){
                xlSheet.Cells[rowi, 0] = "1";    // ctverec
                xlSheet.Cells[rowi, 1] = "2";    // pudni blok
                xlSheet.Cells[rowi, 2] = "3";    // plocha (ha)

                xlSheet.Cells[rowi, 3] = "4";    // druh, odruda

                xlSheet.Cells[rowi, 4] = "5";    // datum a cas applikace
                xlSheet.Cells[rowi, 5] = "6";    // tankmix
                xlSheet.Cells[rowi, 6] = "7";    // zpusob aplikace
                xlSheet.Cells[rowi, 7] = "8";    // aplikovana vymera (ha)
                xlSheet.Cells[rowi, 8] = "9";    // nazev pripravku
                xlSheet.Cells[rowi, 9] = "10";    // sarze
                xlSheet.Cells[rowi, 10] = "11";   // mnozstvi celkem
                xlSheet.Cells[rowi, 11] = "12";   // aplikovana davka
                xlSheet.Cells[rowi, 12] = "13";   // cilovy skodlivy organizmus
                xlSheet.Cells[rowi, 13] = "14";   // poznamka
            }*/

            xlBook.Save();
            xlBook.Close(true);

            return new FileStream(xlPath, FileMode.Open, FileAccess.Read);
        }
    }
}
