﻿using bussines.Validators;
using Data.Models;
using Data.Repositories;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bussines.Services
{
    public class BankAccountService : BaseService<BankAccount>
    {
        public BankAccountService()
        {
            Validator = new BankAccountValidator();
        }

        public async Task<BankAccount> GetCompanyBankAccount(long companyId, bool type)
        {
            return await Repository.GetCompanyBankAccount(companyId, type);
        }
    }
}
