﻿using Data.Models;
using Data.Repositories;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bussines.Services
{
    public class PartSoilBlockService : BaseService<PartSoilBlock>
    {

        public async Task<IEnumerable<PartSoilBlock>> GetBySoilBlock(long id, long year)
        {
            return await Repository.GetBySoilBlock(id, year);
        }

        public async Task DeleteByBlock(long blockId)
        {
            await Repository.DeleteByBlock(blockId);
        }

    }
}
