﻿using System.Linq;
using Dapper;
using System.Data.SqlClient;
using System.Threading.Tasks;
using System;
using Data.Models;
using Data.Interfaces;


namespace Data.Repositories
{
    public static class UserRepository 
    {
        public static async Task<User> CheckCreditials(this IRepository<User> baseRepo, string nick, string pass)
        {
            using (SqlConnection connection = ConnectionManager.GetConnection())
            {
                connection.Open();
                User result = connection.Query<User>("SELECT * FROM [User] WHERE UserName = @UserName AND Password = @Pass", new { UserName = nick, Pass = pass }).FirstOrDefault();

                if (result != null) {
                    connection.Query<long>("UPDATE [User] SET Counter = @Count WHERE Id = @Id", new { Id = result.Id, Count = (result.Counter += 1) });
                }
               
                return await Task.FromResult<User>(result);
            }
        }
    }
}
