﻿CREATE TABLE [dbo].[BankAccount]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL, 
    [NumberPrefix] NVARCHAR(10) NOT NULL,
    [Number] NVARCHAR(15) NOT NULL,
    [BankCode] NVARCHAR(4) NOT NULL, 
    [SWIFT] NVARCHAR(11) NOT NULL, 
    [IBAN] NVARCHAR(40) NOT NULL, 
    [CreatedAt] DATETIMEOFFSET NOT NULL, 
    CONSTRAINT [FK_BankAccount_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]), 

)
