﻿CREATE TABLE [dbo].[CropRelationship]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL,
    [CropId] INT NOT NULL, 
    [StockItemId] INT NOT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    CONSTRAINT [FK_CropRelationship_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]), 
    CONSTRAINT [FK_CropRelationship_Crop] FOREIGN KEY ([CropId]) REFERENCES [Crop]([Id]), 
    CONSTRAINT [FK_CropRelationship_StockItem] FOREIGN KEY ([StockItemId]) REFERENCES [StockItem]([Id])    
)
