﻿CREATE TABLE [dbo].[SoilBlock]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL, 
    [IdentificationNumber] INT NULL, 
    [Name] NVARCHAR(MAX) NULL, 
    [Area] FLOAT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [N] FLOAT NULL, 
    [S] FLOAT NULL, 
    [K] FLOAT NULL, 
    [P] FLOAT NULL, 
    CONSTRAINT [FK_SoilBlock_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id])
)
