﻿CREATE TABLE [dbo].[StockItem]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
	[CompanyId] INT NOT NULL, 
    [Description] NVARCHAR(MAX) NULL, 
    [Price] FLOAT NULL, 
    [Quantity] FLOAT NULL, 
    [CreatedAt] DATETIMEOFFSET NULL, 
    [DateChange] DATETIMEOFFSET NULL, 
    [CategoryId] INT NULL, 
    [Dosage] NVARCHAR(10) NOT NULL, 
    [Name] NCHAR(75) NULL, 
    [MeasureId] INT NULL, 
    [N] FLOAT NULL, 
    [S] FLOAT NULL, 
    [P] FLOAT NULL, 
    [K] FLOAT NULL, 
    CONSTRAINT [FK_StockItem_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]) 
)

GO

CREATE INDEX [IX_StockItem_Name] ON [dbo].[StockItem] ([Name])
