﻿CREATE TABLE [dbo].[Vendor]
(
	[Id] INT NOT NULL PRIMARY KEY IDENTITY(1, 1), 
    [CompanyId] INT NOT NULL, 
    [AddressId] INT NOT NULL, 
    [ContactId] INT NOT NULL, 
    [CreatedAt] DATETIMEOFFSET NOT NULL, 
    [Ico] INT NOT NULL, 
    [Dic] NVARCHAR(35) NOT NULL, 
    [Name] NVARCHAR(50) NULL,
	[BankAccountId] INT NULL, 
    [Production] BIT NULL, 
    CONSTRAINT [FK_Vendor_Company] FOREIGN KEY ([CompanyId]) REFERENCES [Company]([Id]),
	CONSTRAINT [FK_Vendor_Address] FOREIGN KEY ([AddressId]) REFERENCES [Address]([Id]),
	CONSTRAINT [FK_Vendor_Contact] FOREIGN KEY ([ContactId]) REFERENCES [Contact]([Id])
)
