﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Data.Models;
using System.Threading;
using System.Security.Claims;
using Data.Enums;
using bussines.Services;

namespace WebAppDp.Helpers
{
    public static class IdentityHelper
    {
        public static User CurrentUser
        {
            get
            {
                return GetCurrentUser();
            }
        }

        private static User GetCurrentUser()
        {
            CompanyService CompanyService = new CompanyService();
            var user = new User();
            var identity = Thread.CurrentPrincipal.Identity as ClaimsIdentity;
            var claims = identity.Claims.ToDictionary(c => c.Type, c => c.Value);
            user.CompanyId = long.Parse(claims["companyId"]);
            user.Id = long.Parse(claims["userId"]);
            user.Role = (UserRole)int.Parse(claims["role"]);
            //user.BankAccount = CompanyService.GetById(long.Parse(claims["companyId"])).Result.AdderessId;

            return user;
        }

    }
}