﻿'use strict'

dpApp.controller('cropController',
    function ($scope, cropService, $modal) {

        $scope.loadCrop = function(){
        cropService.cropInfo(
                function (data) {
                    $scope.cropLoader = true;
                    if (data.length > 0) {
                        $scope.cropTable = data.plain();
                        console.log($scope.cropTable[0]);
                    }
                }, function (err) {
                    console.log("error load info about crop " + err);
                    console.log(err);
                });
        }
        $scope.loadCrop();

        //modal action
        $scope.showNewCropModal = function () {
            var modalInstance = $modal.open({
                templateUrl: '/Scripts/_app/views/modals/newCropModal.html',
                controller: 'newCropModalController',
                size: 1,
                resolve: {
                    data: function () {
                        return [];
                    }
                }
            });
            modalInstance.result.then(function () {
                $scope.loadCrop();
            });
        };
    });