﻿'use strict'

dpApp.controller('addStockItemModalController',
    function ($scope, stockItemService, $modalInstance, cropService, $timeout, vendorService, addressService, contactService) {

        // data
        $scope.Modal = true;
        $scope.modalComplete = false;
        $scope.modalLoader = false;

        $scope.itemData = {
            price: 0,
            quantity: 0,
        }



        vendorService.getAll(
            function (data) {
                console.log("dodavatele");
                console.log(data.plain());
                $scope.vendorSelect = data.plain();
            },
            function (err) {
            });

        $scope.changeVendor = function (addresId, contactId) {
            console.log("Hledej addresId " + addresId + " contactId " + contactId);
            addressService.getById(addresId,
                function (data) {
                    console.log("adresa");
                    console.log(data.plain());
                    $scope.vendorAddress = data.plain();
                },
                function (err) {
                    console.log(err);
                });
            contactService.getById(contactId,
                function (data) {
                    console.log("contact");
                    console.log(data.plain());
                    $scope.vendorContact = data.plain();
                },
                function (err) {
                    console.log(err);
                });
        };

        // actions

        $scope.cancel = function () {
            $modalInstance.close();
        }

        $scope.changeCategory = function (categoryId) {
            stockItemService.getAllCategory(categoryId,
                function (data) {
                    $scope.stockItemsSelect = data.plain();
                },
                function (err) {
                    console.log(err);
                });
        }

        $scope.save = function (data) {

            $scope.Modal = false;
            $scope.modalLoader = true;


            var object = {
                id: data.stockItemSelect.id,
                name: data.stockItemSelect.name,
                description: data.stockItemSelect.desc,
                price: (data.stockItemSelect.price + data.price),
                quantity: (data.stockItemSelect.quantity + data.quantity),
                categoryId: data.stockItemSelect.categoryId,//data.catId
                dosage: data.stockItemSelect.dosage,
                measureId: data.stockItemSelect.measureId,
                N: data.stockItemSelect.n,
                S: data.stockItemSelect.s,
                K: data.stockItemSelect.k,
                P: data.stockItemSelect.p
            }

            var objectBusinessRecord = {
                name: data.stockItemSelect.name,
                description: data.stockItemSelect.desc,
                price: data.price,
                quantity: data.quantity,
                categoryId: data.stockItemSelect.categoryId,
                MeasureId: data.stockItemSelect.measureId,
                StockItemId: data.stockItemSelect.id,
                VendorId: data.stockItemVendor.id,
                Income: true
            }

            console.log("update stock item");
            console.log(object);

            stockItemService.addToStock(object, objectBusinessRecord,
                function (res) {
                    $scope.modalLoader = false;
                    $scope.modalComplete = true;

                    $timeout(function () {
                        $modalInstance.close();
                        // TODO reload emit load items
                    }, 2000);
                },
                function (error) {
                    console.log(error);
                }
            );
        }
    }
);