﻿//vendor service
dpApp.service('vendorService', ['Restangular',
    function (Restangular) {
        this.create = function (dataVendor, dataAddress,dataContact, success, fail) {
            Restangular.all('Address').post(dataAddress).then(function (idAddress) {
                Restangular.all('Contact').post(dataContact).then(function (idCompany) {
                    console.log("vendor service");
                    console.log("address "+idAddress);
                    console.log("contact "+idCompany);

                    dataVendor.AddressId = idAddress;
                    dataVendor.ContactId = idCompany;

                    console.log("vendor");
                    console.log(dataVendor);
                    Restangular.all('Vendor').post(dataVendor).then(success, fail);
                }, fail);
            }, fail);
        }

        this.put = function (data, success, fail) {
            Restangular.all('Vendor').post(data).then(success, fail);
        }

        this.getAll = function (success, fail)
        {
            Restangular.all('Vendor').getList().then(success, fail);
        }

        this.getById = function (id, success, fail)
        {
            Restangular.all('Vendor').get(id).then(success, fail);
        };
    }
]);