﻿'use strict'

dpApp.controller('harvestedCropModalController',
    function ($scope, detailCRP, workCategoryService, $timeout, $modalInstance, machineryService, HarvestedCropService) {
        // data
        $scope.Modal = true;
        $scope.modalComplete = false;
        $scope.modalLoader = false;

        $scope.crp = detailCRP;
        $scope.unitCropCost = 0;
        $scope.dateHarvested = new Date();

        console.log("++--+++");
        console.log(detailCRP);

        $scope.changeCropQuantity = function () {
            console.log("" + $scope.crp.realCost + "  a " + $scope.cropQuantity);
            $scope.unitCropCost = Number($scope.crp.realCost) / Number($scope.cropQuantity);
        }


        $scope.cancel = function () {
            $modalInstance.close();
        }

        $scope.save = function (data) {

            $scope.Modal = false;
            $scope.modalLoader = true;

            var cropItemObject = {
                CropId: detailCRP.cropId,
                Quantity: $scope.cropQuantity,
                CropRotationPlanId: detailCRP.id,
                DateHarvestedString: $scope.dateHarvested,
                cropCost: $scope.crp.realCost
            }

            var objectBusinessRecord = {
                name: detailCRP.crop.name,
                description: $scope.harvestedDesc,
                price: $scope.crp.realCost,
                quantity: $scope.cropQuantity,
                categoryId: 6,
                MeasureId: 0,
                HarvestedItemId: 0,
                VendorId: 0,
                Income: true,
                measureId: 0
            }
            console.log("++++");
            console.log(detailCRP);


            HarvestedCropService.createHarvested(cropItemObject, objectBusinessRecord,
                function (data) {
                    console.log("ok");
                    console.log(data);
                    $scope.modalLoader = false;
                    $scope.modalComplete = true;

                    $timeout(function () {
                        $modalInstance.close();
                    }, 2000);
                },
                function (err) {
                    console.log("error");
                    console.log(err);
                });

        }
        /*
        workCategoryService.create(object, $scope.machineryList,
            function (res) {
                //console.log(res);


                $scope.modalLoader = false;
                $scope.modalComplete = true;

                $timeout(function () {
                    $modalInstance.close();
                    // TODO reload emit load items
                }, 2000);

            },
            function (error) {
                console.log(error);
            }
        );*/
    });