﻿'use strict'

dpApp.controller('machineryController',
    function ($scope, machineryService, $modal) {

        $scope.loadMachine = function(){
        $scope.infoMachineryLoader = false;
        

        machineryService.machineryInfo(
                function (data) {
                    $scope.infoMachineryLoader = true;
                    if (data.length > 0) {
                        $scope.machineryTable = data.plain();
                    }
                }, function (err) {
                    console.log("error load info about machinery " + err);
                    console.log(err);
                });
        }
        $scope.loadMachine();

    //modal action
        $scope.showNewMachineryModal = function () {
            var modalInstance = $modal.open({
                templateUrl: '/Scripts/_app/views/modals/newMachineryModal.html',
                controller: 'newMachineryModalController',
                size: 'lg',
                resolve: {
                    data: function () {
                        return [];
                    }
                }
            });
            modalInstance.result.then(function () {
                $scope.loadMachine();
            });
        }

        $scope.showToDoModal = function () {
            var modalInstance = $modal.open({
                templateUrl: '/Scripts/_app/views/modals/todoModal.html',
                controller: 'todoModalController',
                size: 'sm',
                resolve: {
                    data: function () {
                        return [];
                    }
                }
            });
        }

    });