﻿'use strict'

dpApp.controller('templateModalController',
    function ($scope, $timeout, $modalInstance, $location) {
        $scope.Modal = true;
        $scope.Complete = false;
        $scope.Loader = false;

        $scope.cancel = function () {
            $modalInstance.close();
        }

        $scope.save = function (data) {
            $scope.Modal = false;
            $scope.Loader = true;

            service.action(model,
                function (res) {
                    $scope.Loader = false;
                    $scope.Complete = true;

                    $timeout(function () {
                        $modalInstance.close();
                    }, 1500);

                },
                function (error) {
                    console.log(error);
                }
            );
        }
    });
