﻿using bussines.Services;
using Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using WebAppDp.ViewModels;

namespace WebAppDp.Controllers
{
    [Authorize]
    [RoutePrefix("Contact")]
    public class ContactController : BaseController<Contact, ContactViewModel>
    {
        public ContactController()
            :base(new ContactService())
        {

        }
        protected override Contact ModelToData(ContactViewModel model)
        {
            return new Contact 
            {
                //CreatedAt = model.CreatedAt,
                Email = model.Email,
                Fax = model.Fax,
                Id = model.Id,
                PhoneNumber = model.PhoneNumber
            };
        }

        protected override ContactViewModel DataToModel(Contact data)
        {
            return new ContactViewModel
            {
                CreatedAt = data.CreatedAt,
                Email = data.Email,
                Fax = data.Fax,
                Id = data.Id,
                PhoneNumber = data.PhoneNumber
            };
        }
    }
}