﻿'use strict'

dpApp.controller('newVendorModalController',
    function ($scope, $timeout, $modalInstance, $location, vendorService) {
        // data
        $scope.Modal = true;
        $scope.modalComplete = false;
        $scope.modalLoader = false;

        $scope.itemData = {
            name: "",
            itemIco: 0,
            itemDic: 0,
            itemCity: "",
            itemStreet: "",
            itemCp: 0,
            itemPSC: 0,
            itemPhone: 0,
            itemEmail: "",
            itemFax: 0
        }


        // actions

        $scope.cancel = function () {
            $modalInstance.close();
        }

        $scope.save = function (data) {

            $scope.Modal = false;
            $scope.modalLoader = true;


            var objectVendor = {
                AddressId: 0,
                ContactId: 0,
                Name: data.name,
                Ico: data.itemIco,
                Dic: data.itemDic,
                Production: false
            }

            var objectAddress = {
                City: data.itemCity,
                Street: data.itemStreet,
                Psc: data.itemPSC,
                Cp: data.itemCp
            }

            var objectContact = {
                PhoneNumber: data.itemPhone,
                Email: data.itemEmail,
                Fax: data.Fax
            }

            vendorService.create(objectVendor, objectAddress, objectContact,
                function (data) {
                    console.log("vendor save ok")
                    console.log(data);
                    $timeout(function () {
                        $modalInstance.close();
                        //$scope.loadVendorList();
                    }, 2000);
                },
                function (err) {
                    console.log(err);
                });
        }
    }
);