﻿'use strict'

dpApp.service('soilBlockService', ['Restangular',
    function (Restangular) {

        this.saveNewSoilBlock = function (soilBlock, success, error) {
            console.log("servisa soilBlock ");
            console.log(soilBlock);

            var sendData = {};
            sendData.Name = soilBlock.name;
            sendData.IdentificationNumber = soilBlock.id;
            sendData.Area = soilBlock.area;
            sendData.CountPartsSoilBlocks = soilBlock.countSoilPart;
            sendData.N = soilBlock.N;
            sendData.K = soilBlock.K;
            sendData.P = soilBlock.P;
            sendData.S = soilBlock.S;

            Restangular.all('SoilBlock').customPOST(sendData, 'create').then(success,error);

        };

        this.updateSoilBlock = function (model, success, fail) {
            Restangular.all('SoilBlock').post(model).then(success, fail);
        };

        this.savePartSoilBlock = function (partsSoilBlock, year, succes, error) {
            console.log(partsSoilBlock);
            angular.forEach(partsSoilBlock, function (part) {
                part.MarketingYear = year;

                Restangular.all('partsoilblock').post(part).then(succes,error);
            });
        }
        
        this.soilBlockInfo = function (year, success, error) {
            Restangular.all('SoilBlock').one('all',year).get(year).then(success, error);
        };

        this.delete = function (block, success, error) {
            if (!!block) {
                block.remove().then(success, error);
            }
        }

        this.getById = function (Id, year, success, fail) {
            console.log("Load detail soil block " + Id + " year " + year);
            Restangular.all('SoilBlock').one("get", Id).one("year", year).get().then(success, fail);
        }

    }]);