﻿using business;
using Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Data.Repositories;

namespace bussines.Services
{
    public class BusinessRecordService : BaseService<BusinessRecord>
    {
        public async Task<IEnumerable<BusinessRecord>> GetAllByType(bool type, long companyId, string from, string to)
        {
            return await Repository.GetAllByType(type, companyId, from, to);
        }

        public async Task<IEnumerable<BusinessRecord>> GetAllFromTo(long companyId, string from, string to)
        {
            return await Repository.GetAllFromTo(companyId, from, to);
        }

    }
}
